CMSIS-DSP: svm_defines.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations
svm_defines.h File Reference

## Enumerations

enum | arm_ml_kernel_type
| Struct for specifying SVM Kernel. More...

## Enumeration Type Documentation

enum arm_ml_kernel_type

Enumerator
ARM_ML_KERNEL_LINEAR | Linear kernel
ARM_ML_KERNEL_POLYNOMIAL | Polynomial kernel
ARM_ML_KERNEL_RBF | Radial Basis Function kernel
ARM_ML_KERNEL_SIGMOID | Sigmoid kernel